=== debian/changelog ===
ipwatchd (1.2.1-1) unstable; urgency=low

  * Updated to upstream release 1.2.1
  * Changed architecture to linux-any

 -- Jaroslav Imrich <jariq@jariq.sk>  Sun, 24 Jul 2011 20:50:05 +0200

ipwatchd (1.2-2) unstable; urgency=low

  * Added manpage ipwatchd-script(1)
  * Added manpage ipwatchd.conf(5)
  * Updated upstream manpage ipwatchd(8)

 -- Jaroslav Imrich <jariq@jariq.sk>  Sun, 28 Feb 2010 09:34:04 +0100

ipwatchd (1.2-1) unstable; urgency=low

  * Initial release (Closes: #569779)

 -- Jaroslav Imrich <jariq@jariq.sk>  Sat, 20 Feb 2010 13:46:11 +0100
