=== debian/control ===
Source: ipwatchd
Section: net
Priority: optional
Maintainer: Jaroslav Imrich <jariq@jariq.sk>
Build-Depends: debhelper (>= 7), libpcap-dev, libnet1-dev
Standards-Version: 3.9.2
Homepage: http://ipwatchd.sf.net

Package: ipwatchd
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: ipwatchd-gnotify
Description: IP conflict detection tool
 IPwatchD is a simple daemon that analyses all incoming ARP packets in order
 to detect IP conflicts on Linux. It can be configured to listen on one or
 more interfaces (alias interfaces are also supported) in active or passive
 mode. In active mode IPwatchD protects your host before IP takeover by
 answering Gratuitous ARP requests received from conflicting system.
 In passive mode it just records information about conflict through standard
 syslog interface.
