=== debian/watch ===
version=3

http://sf.net/ipwatchd/ipwatchd-(\d+.*)\.tar\.gz
