## ipwatchd 1.2.2

=== src/Makefile ===
--- 
+++ 
@@ -3,11 +3,12 @@
 
 CC= gcc
 CFLAGS= -g -Wall -O2
-LIBS= -lpcap -lnet
+LIBS= -lpcap -lnet  $(shell pkg-config --libs dbus-1)
+override CFLAGS +=  $(shell pkg-config --cflags dbus-1)
 
-all: analyse.o config.o daemonize.o devinfo.o genarp.o ipwatchd.o message.o signal.o
+all: analyse.o config.o daemonize.o devinfo.o genarp.o ipwatchd.o message.o signal.o dbus.o utils.o
 	$(CC) $(CFLAGS) analyse.o config.o daemonize.o devinfo.o genarp.o \
-	ipwatchd.o message.o signal.o -o ipwatchd $(LIBS)
+	ipwatchd.o message.o signal.o dbus.o utils.o -o ipwatchd $(LIBS)
 
 
 analyse.o: analyse.c ipwatchd.h
@@ -34,6 +35,11 @@
 signal.o: signal.c ipwatchd.h
 	$(CC) $(CFLAGS) -c signal.c -o signal.o
 
+dbus.o: dbus.c ipwatchd.h
+	$(CC) $(CFLAGS) -c dbus.c -o dbus.o
+
+utils.o: utils.c ipwatchd.h
+	$(CC) $(CFLAGS) -c utils.c -o utils.o
 
 clean:
 	-rm *.o
@@ -48,13 +54,18 @@
 	mkdir -p $(DESTDIR)/usr/share/man/man8
 	mkdir -p $(DESTDIR)/usr/share/man/man5
 	mkdir -p $(DESTDIR)/usr/share/man/man1
+	mkdir -p ${DESTDIR}/usr/share/dbus-1/system.d
 	cp ipwatchd $(DESTDIR)/usr/sbin
 	cp scripts/ipwatchd-script $(DESTDIR)/usr/sbin
 	cp scripts/ipwatchd $(DESTDIR)/etc/init.d
 	cp ipwatchd.conf $(DESTDIR)/etc
+	cp misc/conf/*.conf ${DESTDIR}/usr/share/dbus-1/system.d/
+	cp -r misc/system-services ${DESTDIR}/usr/share/dbus-1/
 	cp ../doc/ipwatchd.8.gz $(DESTDIR)/usr/share/man/man8
 	cp ../doc/ipwatchd.conf.5.gz $(DESTDIR)/usr/share/man/man5
 	cp ../doc/ipwatchd-script.1.gz $(DESTDIR)/usr/share/man/man1
+
+
 
 uninstall:
 	rm $(DESTDIR)/usr/sbin/ipwatchd
@@ -64,4 +75,3 @@
 	rm $(DESTDIR)/usr/share/man/man8/ipwatchd.8.gz
 	rm $(DESTDIR)/usr/share/man/man5/ipwatchd.conf.5.gz
 	rm $(DESTDIR)/usr/share/man/man1/ipwatchd-script.1.gz
-
