=== debian/changelog ===
ipwatchd (1.2.2-1) unstable; urgency=medium

  * update

 -- Jaroslav Imrich <jariq@jariq.sk>  Thu, 25 Nov 2021 21:09:30 +0800
