=== debian/changelog ===
ipwatchd (1.3.0-1+nmu3build1) resolute; urgency=medium

  * No-change rebuild for libnet9.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 31 Oct 2025 14:08:59 +0000

ipwatchd (1.3.0-1+nmu3) unstable; urgency=medium

  * Add /etc/ipwatchd/user-script support, so that user
    can edit it manually. (Closes: #844728)

 -- YunQiang Su <syq@debian.org>  Sun, 22 Sep 2024 22:02:36 +0800

ipwatchd (1.3.0-1+nmu2) unstable; urgency=medium

  * Bump standard version to 4.7.0.
  * Patch src/Makefile to install system service to output of
    pkgconf --variable systemdsystemunitdir systemd.
     - Closes: #1077038
     - Build depends on systemd-dev, pkgconf.
  * Rewrite debian/rules with debhelper 7 override style.
  * Pre-Depends on ${misc:Pre-Depends} instead of hardcoded
    init-system-helpers (>= 1.66).
  * Refresh patch with -p ab --no-timestamps --no-index. 

 -- YunQiang Su <syq@debian.org>  Sat, 03 Aug 2024 23:10:58 +0800

ipwatchd (1.3.0-1+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release (Closes: #1047927)
    - Fixed minor problems reported by cppcheck
    - Fixed minor typo
    - Fixed support for devices with long names
    - Added support for systemd
    - Added LDFLAGS to Makefile
    - Resolved GCC 8 warnings
    - Deprecated and removed ipwatchd-gnotify
  * Use debhelper-compat 13.
  * Drop suggestion of ipwatchd-gnotify, which doesn't
    exist in unstable now.
  * Ship systemd service file and Pre-Depends on
    init-system-helpers (>= 1.66). Closes: #1039240.
    Also ship sysvinit scripts.
  * Pass hardening CPPFLAGS, CFLAGS, LDFLAGS.
  * Pass CC for cross build. (Closes: #970049)
  * debian/rules: Use distclean instead of clean.
    (Closes: #1047927)

 -- YunQiang Su <syq@debian.org>  Sun, 14 Jul 2024 17:59:30 +0800
