=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: net
 Priority: optional
 Maintainer: Jaroslav Imrich <jariq@jariq.sk>
-Build-Depends: debhelper (>= 7), libpcap-dev, libnet1-dev, libdbus-1-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper-compat (= 13), libpcap-dev, libnet1-dev, pkgconf, systemd-dev
+Standards-Version: 4.7.0
 Homepage: http://ipwatchd.sf.net
 
 Package: ipwatchd
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
-Suggests: ipwatchd-gnotify
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: IP conflict detection tool
  IPwatchD is a simple daemon that analyses all incoming ARP packets in order
  to detect IP conflicts on Linux. It can be configured to listen on one or
