=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/buildtools.mk

export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export CC
export SYSTEMD_UNITDIR = $(shell pkgconf --variable systemdsystemunitdir systemd)

%:
	dh $@

override_dh_auto_clean:
	$(MAKE) -C src distclean

override_dh_auto_build:
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" $(MAKE) -C src

override_dh_auto_install:
	echo $(SYSTEMD_UNITDIR)
	$(MAKE) -C src DESTDIR=$(CURDIR)/debian/ipwatchd install
