=== debian/watch ===
version=4

https://github.com/jariq/IPwatchD/tags .*/v?(\d.*).tar.gz
