## ipwatchd 2.0.2+really1.3.0

=== debian/changelog ===
ipwatchd (2.0.2+really1.3.0-0deepin1) unstable; urgency=medium

  * Fix error changelog
  * New upstream release

 -- xiangzelong <xiangzelong@deepin.org>  Fri, 12 Jul 2024 17:27:17 +0800

ipwatchd (2.0.1-deepin) stable; urgency=medium

  * ['Rebuild  against by  current gcc 11.2']

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 11 Aug 2022 21:58:59 +0800
